Bug 1250566 - ipsilon-client-install fails with ImportError: No module named requests
ipsilon-client-install fails with ImportError: No module named requests
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ipsilon (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1254644
  Show dependency treegraph
 
Reported: 2015-08-05 09:19 EDT by Jan Pazdziora
Modified: 2015-11-08 05:20 EST (History)
3 users (show)

See Also:
Fixed In Version: ipsilon-1.1.1-2.fc23 ipsilon-1.1.1-2.fc22 ipsilon-1.1.1-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1254644 (view as bug list)
Environment:
Last Closed: 2015-11-08 01:53:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2015-08-05 09:19:29 EDT
Description of problem:

When running ipsilon-client-install, it fails because requests is not available.

Version-Release number of selected component (if applicable):

# rpm -qf /usr/bin/ipsilon-client-install
ipsilon-client-1.0.0-1.fc22.noarch

How reproducible:

Deterministic.

Steps to Reproduce:
1. dnf install /usr/bin/ipsilon-client-install ipsilon-saml2 httpd mod_ssl
2. ipsilon-client-install --saml-idp-metadata https://idp.example.test/idp/saml2/metadata --saml-auth /protected

Actual results:

Traceback (most recent call last):
  File "/usr/bin/ipsilon-client-install", line 18, in <module>
    import requests
ImportError: No module named requests

Expected results:

/usr/lib/python2.7/site-packages/requests/packages/urllib3/connection.py:251: SecurityWarning: Certificate has no `subjectAltName`, falling back to check for a `commonName` for now. This feature is being removed by major browsers and deprecated by RFC 2818. (See https://github.com/shazow/urllib3/issues/497 for details.)
  SecurityWarning
Generating a 2048 bit RSA private key
....+++
...........+++
writing new private key to '/etc/httpd/saml2/nec-em12.rhts.eng.bos.redhat.com/certificate.key'
-----

Additional info:

Manually installing python-requests helps but we should not need to do that.
Comment 1 Fedora Update System 2015-08-21 10:47:23 EDT
ipsilon-1.0.0-5.fc22 has been submitted as an update to Fedora 22. https://bugzilla.redhat.com/show_bug.cgi?id=1250566
Comment 2 Fedora Update System 2015-08-21 22:51:13 EDT
ipsilon-1.0.0-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ipsilon'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13918
Comment 3 Fedora Update System 2015-09-07 21:37:01 EDT
ipsilon-1.1.0-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15290
Comment 4 Fedora Update System 2015-09-07 21:37:01 EDT
ipsilon-1.1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15291
Comment 5 Fedora Update System 2015-09-07 21:37:11 EDT
ipsilon-1.1.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15292
Comment 6 Fedora Update System 2015-09-08 13:51:37 EDT
ipsilon-1.1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ipsilon'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15291
Comment 7 Fedora Update System 2015-09-08 17:22:01 EDT
ipsilon-1.1.0-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ipsilon'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15290
Comment 8 Fedora Update System 2015-09-08 17:25:58 EDT
ipsilon-1.1.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ipsilon'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15292
Comment 9 Jan Pazdziora 2015-09-14 10:00:09 EDT
# rpm -q ipsilon-client
ipsilon-client-1.1.0-1.fc23.noarch
# ipsilon-client-install --saml-idp-metadata https://idp.example.test/idp/saml2/metadata --saml-auth /protected
Traceback (most recent call last):
  File "/usr/bin/ipsilon-client-install", line 18, in <module>
    import requests
ImportError: No module named requests

Moving to ASSIGNED, aka FAILS_QA.
Comment 10 Fedora Update System 2015-10-14 12:10:10 EDT
ipsilon-1.1.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15291
Comment 11 Fedora Update System 2015-10-14 12:11:36 EDT
ipsilon-1.1.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15292
Comment 12 Fedora Update System 2015-10-14 12:12:18 EDT
ipsilon-1.1.1-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15290
Comment 13 Fedora Update System 2015-10-14 18:53:35 EDT
ipsilon-1.1.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ipsilon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15291
Comment 14 Fedora Update System 2015-10-15 01:21:21 EDT
ipsilon-1.1.1-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ipsilon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15290
Comment 15 Fedora Update System 2015-10-15 01:52:27 EDT
ipsilon-1.1.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ipsilon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15292
Comment 16 Jan Pazdziora 2015-10-15 05:19:57 EDT
After

# dnf install --enablerepo=updates-testing -y ipsilon-client-1.1.1-2.fc22

running

# ipsilon-client-install --saml-idp-metadata https://idp.example.test/idp/saml2/metadata --saml-auth /protected

no longer complains about missing module.
Comment 17 Fedora Update System 2015-11-08 01:52:47 EST
ipsilon-1.1.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-11-08 04:50:03 EST
ipsilon-1.1.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-11-08 05:19:51 EST
ipsilon-1.1.1-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.